let serverSystem = server.registerSystem(0, 0);

serverSystem.initialize = function () {
	serverSystem.listenForEvent("minecraft:entity_equipped_armor", (eventData) => this.playerReceivedItem(eventData));
};

let isStarted = false;
let tickTimer = 0;
let showSeconds = false;
let AMPMclock = false;
let color = "";
serverSystem.update = function () {
	if(isStarted == true) {
		tickTimer++;

		let today = new Date();
		let hour = today.getHours();
		let minute = today.getMinutes();
		let seconds = today.getSeconds();
		minute = checkTime(minute);
		seconds = checkTime(seconds);
		
		function checkTime(i) {
			if (i < 10) {i = "0" + i};
			return i;
		}

		if(tickTimer % 20 == 0 && showSeconds == true && AMPMclock == false) {
			let fullClock = serverSystem.createEventData("minecraft:execute_command");
			fullClock.data.command = "/title @a actionbar " + color + hour + ":" + minute + ":" + seconds;
			serverSystem.broadcastEvent("minecraft:execute_command", fullClock);
		}

		if(tickTimer % 20 == 0 && showSeconds == false && AMPMclock == false) {
			let halfClock = serverSystem.createEventData("minecraft:execute_command");
			halfClock.data.command = "/title @a actionbar " + color + hour + ":" + minute;
			serverSystem.broadcastEvent("minecraft:execute_command", halfClock);
		}

		if(tickTimer % 20 == 0 && showSeconds == false && AMPMclock == true) {
			if ( hour > 12 ) {
				hour = hour - 12;
				if ( hour == 12 ) {
					hour = checkTime(hour);
					let fullClock1 = serverSystem.createEventData("minecraft:execute_command");
					fullClock1.data.command = "/title @a actionbar " + color + hour + ":" + minute + " AM";
					serverSystem.broadcastEvent("minecraft:execute_command", fullClock1);
				}
				else {
					hour = checkTime(hour);
					let fullClock2 = serverSystem.createEventData("minecraft:execute_command");
					fullClock2.data.command = "/title @a actionbar " + color + hour + ":" + minute + " PM";
					serverSystem.broadcastEvent("minecraft:execute_command", fullClock2);
				}
			}	
			else {
				let fullClock3 = serverSystem.createEventData("minecraft:execute_command");
				fullClock3.data.command = "/title @a actionbar " + color + hour + ":" + minute + " AM";
				serverSystem.broadcastEvent("minecraft:execute_command", fullClock3);
			}
		}

		if(tickTimer % 20 == 0 && showSeconds == true && AMPMclock == true) {
			if ( hour > 12 ) {
				hour = hour - 12;
				if ( hour == 12 ) {
					hour = checkTime(hour);
					let fullClock1 = serverSystem.createEventData("minecraft:execute_command");
					fullClock1.data.command = "/title @a actionbar " + color + hour + ":" + minute + ":" + seconds + " AM" ;
					serverSystem.broadcastEvent("minecraft:execute_command", fullClock1);
				}
				else {
					hour = checkTime(hour);
					let fullClock2 = serverSystem.createEventData("minecraft:execute_command");
					fullClock2.data.command = "/title @a actionbar " + color + hour + ":" + minute + ":" + seconds + " PM";
					serverSystem.broadcastEvent("minecraft:execute_command", fullClock2);
				}
			}	
			else {
				let fullClock3 = serverSystem.createEventData("minecraft:execute_command");
				fullClock3.data.command = "/title @a actionbar " + color + hour + ":" + minute + ":" + seconds + " AM";
				serverSystem.broadcastEvent("minecraft:execute_command", fullClock3);
			}
		}
	}
};

serverSystem.playerReceivedItem = function(eventData) {
	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:dirt" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));
		
		let startMessage = serverSystem.createEventData("minecraft:execute_command");
		startMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§2Clock started successfully!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", startMessage);
		isStarted = true;
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:grass_block" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));
		
		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§4The clock has been stopped and removed.\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
		isStarted = false;
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:target" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));
		
		showSeconds = true;

		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§2Added second counter!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:lectern" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));

		showSeconds = false;
		
		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§4Removed second counter!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:feather" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));

		AMPMclock = true;
		
		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§2Changed time to AM/PM!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:stone" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));

		AMPMclock = false;
		
		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§2Changed time to 24 hours!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:red_dye" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));

		color = "§4";
		
		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§4Changed color to dark red!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:black_dye" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));

		color = "§0";
		
		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§0Changed color to black!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:blue_dye" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));

		color = "§1";
		
		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§1Changed color to dark blue!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:green_dye" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));

		color = "§2";
		
		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§2Changed color to dark green!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:cyan_dye" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));

		color = "§3";
		
		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§3Changed color to dark aqua!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:purple_dye" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));

		color = "§5";
		
		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§5Changed color to dark purple!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:gold_ingot" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));

		color = "§6";
		
		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§6Changed color to gold!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:light_gray_dye" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));

		color = "§7";
		
		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§7Changed color to gray!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:gray_dye" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));

		color = "§8";
		
		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§8Changed color to dark gray!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:light_blue_dye" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));

		color = "§9";
		
		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§9Changed color to blue!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:lime_dye" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));

		color = "§a";
		
		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§aChanged color to green!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:prismarine_shard" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));

		color = "§b";
		
		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§bChanged color to aqua!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:red_flower" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));

		color = "§c";
		
		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§cChanged color to red!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:magenta_dye" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));

		color = "§d";
		
		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§dChanged color to light purple!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:yellow_dye" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));

		color = "§e";
		
		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§eChanged color to yellow!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
	}

	if(eventData.data.entity.__identifier__ == "minecraft:player" && eventData.data.item_stack.__identifier__ == "minecraft:white_dye" && eventData.data.slot == "slot.armor.head") {
		serverSystem.executeCommand("/replaceitem entity @a slot.armor.head 0 air", (result) => this.commandResult(result));

		color = "§f";
		
		let stopMessage = serverSystem.createEventData("minecraft:execute_command");
		stopMessage.data.command = "/tellraw @a {\"rawtext\":[{\"text\":\"§fChanged color to white!\"}]}";
		serverSystem.broadcastEvent("minecraft:execute_command", stopMessage);
	}
};

serverSystem.commandResult = function(result) {

};


